---
lang: en
title: 'API docs: context.injectbindingmetadata'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.injectbindingmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InjectBindingMetadata](./context.injectbindingmetadata.md)

## InjectBindingMetadata interface

Metadata for `@inject.binding`

<b>Signature:</b>

```typescript
export interface InjectBindingMetadata extends InjectionMetadata 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [bindingCreation](./context.injectbindingmetadata.bindingcreation.md) | <code>BindingCreationPolicy</code> | Controls how the underlying binding is resolved/created |


